Clipform

Add a node to a form

Adds a node to the form. By default inserts before the end screen. Node types: - choice: Single or multiple choice node with predefined options - open: Free-form text responses from users - button: Simple button for acknowledgment or navigation - contact: Collect standardized contact information (name, email, phone, company) - redirect: Redirect users to an external URL - end_screen: Final screen shown when form is completed in: path required: true schema: type: string format: uuid

POST
/forms/{formId}/nodes

Authorization

Authorization
Required
Bearer <token>

API key (cf_*) passed as Bearer token

In: header

Request Body

application/jsonRequired
node
Required
object
after_node_idstring

Insert after this node. Omit to append before end screen.

Format: "uuid"
curl -X POST "https://api.clipform.io/v1/forms/%7BformId%7D/nodes" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "node": {
      "type": "choice",
      "prompt": "string",
      "label": "string",
      "required": true,
      "config": {},
      "options": [
        {
          "content": "string",
          "score": 0,
          "scores": {
            "property1": 0,
            "property2": 0
          }
        }
      ]
    },
    "after_node_id": "41625068-2748-4794-9463-cc6c3d881029"
  }'

Node added

{
  "node_id": "6e0bdcac-9717-4a6f-972e-97489dffeb0c"
}